"""uncloud URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from app import views as appviews

urlpatterns = [
    path('admin/', admin.site.urls),
    path('order', appviews.ProductSelectView.as_view()),
    path('order/<slug:product>/', appviews.ProductOrderView.as_view(), name='product-order'),
    path('order/recurring/<slug:product>/<slug:timeframe>/', appviews.ProductOrderView.as_view(), name='product-order-tf'),
    path('order/onetime/<slug:product>/', appviews.ProductOneTimeOrderView.as_view(), name='product-order-onetime'),
    path('order-confirmation', appviews.OrderConfirmationView.as_view(), name='order-confirmation'),
    path('product/', appviews.ProductListView.as_view(), name='products'),
    path('product/<slug:slug>/', appviews.ProductDetailView.as_view(), name='product-detail'),
    path('', appviews.IndexView.as_view(), name='index'),

]
